pnmsplit(1)

NAME
pnmsplit - split a multi-image PNM file into multiple single-image files

SYNOPSIS
pnmsplit [pnmfile[ output_file_pattern]]

DESCRIPTION
Reads a Netpbm file as input. Copies each image in the input into a separate file, in the same format. pnmfile is the file specification of the input file, or - to indicate Standard Input. The default is Standard Input. output_file_pattern tells how to name the output files. It is the file specification of the output file, except that the first occurence of "%d" in it is replaced by the image sequence number in unpadded ASCII decimal, with the sequence starting at 0. If there is no "%d" in the pattern, pnmsplit fails. The default output file pattern is "image%d". Note that to do the reverse operation (combining multiple single-image PNM files into a multi-image one), there is no special Netpbm program. Just use cat.

SEE ALSO
pnm(5), cat(1)